directories:
  output: dist_electron
  buildResources: build
  app: dist_electron/bundled
files:
  - filter:
      - '**'
extends: null
publish:
  - provider: generic
    url: 'https://dl2.falsedev.com/d1/electron/'
appId: com.falsedev.sparse
productName: Sparse
mac:
  category: public.app-category.music
  target:
    - dmg
    - zip
  icon: build/icons-mac/icon.icns
  darkModeSupport: false
win:
  target: nsis
  icon: build/icons-windows/icon.ico
linux:
  category: Music
  target:
    - deb
    - AppImage
  icon: build/icons-mac
electronVersion: 9.4.0
